/**
 * Populate Quick Edit form inputs with the original post status
 */
document.addEventListener("DOMContentLoaded", function () {

    function enhancedPermalinkExtraFields() {
        var _edit = inlineEditPost.edit;
        inlineEditPost.edit = function (id) {
            var args = [].slice.call(arguments);
            _edit.apply(this, args);
            if (typeof (id) == 'object') {
                id = this.getId(id);
            }
            if (this.type == 'post') {
                var postRow = document.getElementById(`post-${id}`);
                var originalPostStatus = postRow.querySelector('.original_qe_post_status').textContent;
                var originalPostStatusField = document.createElement('input');
                originalPostStatusField.setAttribute('type', 'hidden');
                originalPostStatusField.setAttribute('name', 'original_qe_post_status');
                originalPostStatusField.setAttribute('value', originalPostStatus);

                var rowElement = document.getElementById(`edit-${id}`);
                var labelElement = rowElement.querySelector('label');
                labelElement.parentNode.insertBefore(originalPostStatusField, labelElement.nextSibling);
            }
        }
    }

    enhancedPermalinkExtraFields();

});
